IEEE80211_REQUEST_SM(9)

NAME
ieee80211_request_smps - request SM PS transition

SYNOPSIS

void ieee80211_request_smps(struct ieee80211_vif * vif, enum ieee80211_smps_mode smps_mode);

ARGUMENTS

vif
    struct ieee80211_vif pointer from the add_interface callback.

smps_mode
    new SM PS mode

DESCRIPTION

This allows the driver to request an SM PS transition in managed mode. This is useful when the driver has more information than the stack about possible interference, for example by bluetooth.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT